// Strict Mode
"use strict";

// Window Load Event
$(window).on("load", function() {
    // Loader Fade Out
    $(".lx-loader").fadeOut();
    return false;
});

// Document Ready event
$(document).on("ready", function() {

	// Resize Youtube Iframe
	if($("iframe[allowfullscreen]").length){
		$("iframe[allowfullscreen]").height($("iframe[allowfullscreen]").width() * 0.5625);
	}
	
	// Mini Slide Init
	if($(".lx-mini-slide").length){
		for(var i=0;i<$(".lx-mini-slide").length;i++){
			$(".lx-mini-slide:eq("+i+") ul li").css({"width":$(".lx-mini-slide:eq("+i+")").outerWidth()+"px"});
			$(".lx-mini-slide:eq("+i+") ul").css({"-webkit-transition":"all 0s","transition":"all 0s","left":"-"+$(".lx-mini-slide:eq("+i+") ul li").outerWidth()+"px"});		
		}		
	}
	
	// Hero Slide Items Resize
	if($(".lx-hero-slide").length){
		$(".lx-hero-slide-content ul li").css({"width":$(".lx-hero-slide").outerWidth()+"px"});
	}	
	
	// Hero Slide Navigation
	for(var i=0;i<$(".lx-hero-slide-content ul li").length;i++){
		$(".lx-hero-slide-nav").append("<a href='javascript:;' data-nb='"+i+"'></a>")
	}	
	$("a[data-nb='0']").addClass("active");
	
	// Hero Main Resize
	$(".lx-hero-item").each(function(){
		$(this).height($(this).width() * 0.55);
	});
	
	// Insert Clear Fix
	insertClearFix();
	
	return false;
});

//  Gallery Filter
$(".lx-posts-gallery-top ul li a:not(.lx-gallery-more)").on("click", function(){
	
	var item = $(this).attr("data-gallery-filter");
	$(".lx-posts-gallery-top ul li a").removeClass("active");
	$(this).addClass("active");
	$(".lx-posts-gallery-loader").show();
	window.setTimeout(function(){
		$("*[data-gallery-item]").hide();
		if(item === ""){
			$("*[data-gallery-item]").show();
		}
		else{
			$("*[data-gallery-item='"+item+"']").show();
		}		
		$(".lx-posts-gallery-loader").hide();
		insertClearFix();
	},1000);	
	
	return false;
});

// Mini Slide Effect
$(".lx-sidebar-item-nav > .fa-angle-right").on("click",function(){
	$(this).parent().parent().parent().find(".lx-mini-slide-nav").find(".fa-angle-right").trigger("click");
});
$(".lx-sidebar-item-nav > .fa-angle-left").on("click",function(){
	$(this).parent().parent().parent().find(".lx-mini-slide-nav").find(".fa-angle-left").trigger("click");
});
var lx_passed = "yes";
$(".lx-mini-slide-nav > .fa-angle-right").on("click",function(){
	if(lx_passed === "yes"){
		lx_passed = "no";
		var ul = $(this).parent().parent().find("ul")
		ul.css({"-webkit-transition":"all 0.4s","transition":"all 0.4s","left":"-"+(ul.find("li").outerWidth()*2)+"px"});
		window.setTimeout(function(){
			ul.css({"-webkit-transition":"all 0s","transition":"all 0s","left":"-"+ul.find("li").outerWidth()+"px"});
			var item = "<li style='width:"+ul.find("li").outerWidth()+"px;'>"+ul.find("li:eq(0)").html()+"</li>";
			ul.append(item);
			ul.find("li:eq(0)").remove();
			lx_passed = "yes";
		},500);
	}
});
$(".lx-mini-slide-nav > .fa-angle-left").on("click",function(){
	if(lx_passed === "yes"){
		lx_passed = "no";
		var ul = $(this).parent().parent().find("ul")
		ul.css({"-webkit-transition":"all 0.4s","transition":"all 0.4s","left":"0px"});
		window.setTimeout(function(){
			ul.css({"-webkit-transition":"all 0s","transition":"all 0s","left":"-"+(ul.find("li").outerWidth())+"px"});
			var item = "<li style='width:"+ul.find("li").outerWidth()+"px;'>"+ul.find("li:last-child").prev(".lx-mini-slide ul li").html()+"</li>";
			ul.prepend(item);
			ul.find("li:last-child").prev(".lx-mini-slide ul li").remove();
			lx_passed = "yes";
		},500);
	}
});

// Hero Slide Navigation
$("body").delegate(".lx-hero-slide-nav a","click",function(){
	$(".lx-hero-slide-nav a").removeClass("active");
	$(this).addClass("active");
	$(this).parent().prev("div").find("ul").css("left","-"+($(this).parent().parent().width() * $(this).attr("data-nb"))+"px");
});

// Share Popup
$('.popup').on("click",function() {
	var NWin = window.open($(this).attr('href'), '', 'scrollbars=1,height=300,width=600');
	if (window.focus){
		NWin.focus();
	}
	return false;
});	

// Responsive Menu Effect
$(".lx-main-menu-mobile > i").on("click", function() {
	if($(".lx-main-menu-mobile").css("left") === "-160px"){
		$(".lx-main-menu-mobile").css("left","0px");
		$(".lx-sidebar").css("right","-100%");
	}
	else{
		$(".lx-main-menu-mobile").css("left","-160px");
	}	
	return false;
});

// Submenu Show
$(".lx-main-menu-mobile ul li").on("click", function() {
	if($(this).find("ul").css("display") !== "block"){
		$(".lx-main-menu-mobile ul li ul").slideUp();
		$(this).find("ul").slideDown();
	}
	else{
		$(this).find("ul").slideUp();
	}	
	return false;
});

// Responsive Sidebar  Effect
$(".lx-add").on("click", function() {
	$(".lx-sidebar").css("right","0px");
	$(".lx-main-menu-mobile").css("left","-160px");
	return false;
});
$(".lx-sidebar > i").on("click", function() {
	$(".lx-sidebar").css("right","-100%");
	return false;
});

// To top
$(".lx-to-top").on("click", function() {
	$('html, body').animate({
		scrollTop: $("body").offset().top
	}, 1000);
	return false;
});	

// Show Demo events
$(".lx-show-demos").on("click", function() {
    $('html, body').animate({
        scrollTop: $(".lx-screenshots").offset().top
    }, 1000);
});

// Insert Clear Fixed Function
function insertClearFix(){
	$(".lx-posts-gallery-bottom .lx-clear-fix").remove();
	var gi = 0;
	$(".lx-posts-gallery-bottom .lx-g5-f").each(function(){
		if($(this).css("display") !== "none"){
			gi += 1;
			if(gi === 5){
				$(this).after('<div class="lx-clear-fix"></div>');
				gi = 0;
			}			
		}
	});
	$(".lx-posts-gallery-bottom").append('<div class="lx-clear-fix"></div>');
}